diff --git a/src/main/java/net/minecraft/client/util/debug/Debug.java b/src/main/java/net/minecraft/core/util/debug/Debug.java
similarity index 84%
rename from src/main/java/net/minecraft/client/util/debug/Debug.java
rename to src/main/java/net/minecraft/core/util/debug/Debug.java
index 7afeeaf8f..eccfb43ec 100644
--- a/src/main/java/net/minecraft/client/util/debug/Debug.java
+++ b/src/main/java/net/minecraft/core/util/debug/Debug.java
@@ -1,4 +1,4 @@
-package net.minecraft.client.util.debug;
+package net.minecraft.core.util.debug;
 
 import com.mojang.logging.LogUtils;
 import org.slf4j.Logger;
@@ -12,8 +12,8 @@ public class Debug {
 	private static final Logger LOGGER = LogUtils.getLogger();
 	public static boolean enable = true;
 	
-	static final Profiler baseProfiler = new Profiler("base", null);
-	static Profiler currentProfiler = baseProfiler;
+	public static final Profiler baseProfiler = new Profiler("base", null);
+	public static Profiler currentProfiler = baseProfiler;
 	
 	private static int fpsCount = 0;
 	private static long lastSec = -1;
@@ -86,14 +86,14 @@ public class Debug {
 		return System.nanoTime();
 	}
 	
-	static class Profiler {
+	public static class Profiler {
 		
-		protected final String name;
-		protected Profiler parent;
-		protected Map<String, Profiler> profilers = new HashMap<>();
-		protected List<Profiler> allProfilers = new ArrayList<>();
-		protected long startTime = -1;
-		protected long time = 0;
+		public final String name;
+		public Profiler parent;
+		public Map<String, Profiler> profilers = new HashMap<>();
+		public List<Profiler> allProfilers = new ArrayList<>();
+		public long startTime = -1;
+		public long time = 0;
 		
 		public Profiler(String name, Profiler parent) {
 			this.name = name;
diff --git a/src/main/java/net/minecraft/core/world/BlocksContainer.java b/src/main/java/net/minecraft/core/world/BlocksContainer.java
index 1ac98faea..397297255 100644
--- a/src/main/java/net/minecraft/core/world/BlocksContainer.java
+++ b/src/main/java/net/minecraft/core/world/BlocksContainer.java
@@ -79,6 +79,11 @@ public class BlocksContainer implements WorldSource {
         return world.getLightmapCoord(x, y, z, blockLightValue);
     }
 
+    @Override
+    public int getLightmapCoord(int skylight, int blocklight) {
+        return world.getLightmapCoord(skylight, blocklight);
+    }
+
     @Override
     public float getLightBrightness(int x, int y, int z) {
         return world.getLightBrightness(x, y, z);
diff --git a/src/main/java/net/minecraft/core/world/LevelListener.java b/src/main/java/net/minecraft/core/world/LevelListener.java
index 4ce7f728a..768a152ef 100644
--- a/src/main/java/net/minecraft/core/world/LevelListener.java
+++ b/src/main/java/net/minecraft/core/world/LevelListener.java
@@ -3,7 +3,6 @@ package net.minecraft.core.world;
 // Referenced classes of package net.minecraft.src:
 //            Entity, TileEntity, Player
 
-import net.minecraft.client.render.RenderGlobal;
 import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.entity.player.Player;
@@ -60,7 +59,7 @@ public interface LevelListener
 
 	/**
 	 * Redraw blocks in singleplayer. <br>
-	 * Implemented in {@link RenderGlobal}
+	 * Implemented in {@link net.minecraft.client.render.RenderGlobal}
 	 */
     void setBlocksDirty(int x0, int y0, int z0, int x1, int y1, int z1);
 
diff --git a/src/main/java/net/minecraft/core/world/World.java b/src/main/java/net/minecraft/core/world/World.java
index 663922eb5..87461f1dd 100644
--- a/src/main/java/net/minecraft/core/world/World.java
+++ b/src/main/java/net/minecraft/core/world/World.java
@@ -19,11 +19,7 @@ import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.entity.EntityItem;
 import net.minecraft.core.entity.animal.MobFireflyCluster;
 import net.minecraft.core.enums.Difficulty;
-import net.minecraft.client.render.LightmapHelper;
-import net.minecraft.client.render.camera.ICamera;
-import net.minecraft.client.render.colorizer.Colorizers;
-import net.minecraft.client.util.debug.Debug;
-import net.minecraft.client.world.chunk.provider.ChunkProviderViewer;
+import net.minecraft.core.util.debug.Debug;
 import net.minecraft.core.Global;
 import net.minecraft.core.block.Blocks;
 import net.minecraft.core.entity.player.Player;
@@ -66,9 +62,7 @@ import net.minecraft.core.world.save.LevelStorage;
 import net.minecraft.core.world.saveddata.SavedData;
 import net.minecraft.core.world.saveddata.SavedDataStorage;
 import net.minecraft.core.world.season.SeasonManager;
-import net.minecraft.core.world.season.Seasons;
 import net.minecraft.core.world.type.WorldType;
-import net.minecraft.core.world.type.WorldTypes;
 import net.minecraft.core.world.weather.Weather;
 import net.minecraft.core.world.weather.WeatherManager;
 import net.minecraft.core.world.weather.Weathers;
@@ -106,7 +100,6 @@ public class World implements WorldSource {
     private final Set<NextTickListEntry> immediatelyUpdatedPositions = new HashSet<>();
     
     public boolean scheduledUpdatesAreImmediate = false;
-    private final int dimensionColor = 0xffffff;
     public int skyDarken = 0;
     protected int updateLCG = new Random().nextInt();
     public int lightningFlicker = 0;
@@ -118,10 +111,10 @@ public class World implements WorldSource {
     //protected int autosavePeriod = 40;
     public Random rand = new Random();
     public boolean isNewWorld = false;
-    public final Dimension dimension;
-    public final WorldType worldType;
+    public Dimension dimension;
+    public WorldType worldType;
     protected IChunkProvider chunkProvider;
-    public final LevelStorage saveHandler;
+    public LevelStorage saveHandler;
     protected LevelData levelData;
     public DimensionData dimensionData;
     public boolean findingSpawnPoint;
@@ -136,13 +129,13 @@ public class World implements WorldSource {
     private long runtime = 0;
     public int dayCountLastTick;
     
-    private final BiomeProvider biomeProvider;
+    public BiomeProvider biomeProvider;
 
     public AuroraProvider auroraProvider;
 
-    public final SeasonManager seasonManager;
+    public SeasonManager seasonManager;
 
-    public final WeatherManager weatherManager;
+    public WeatherManager weatherManager;
 
     private CommandManager commandManager;
 
@@ -303,22 +296,7 @@ public class World implements WorldSource {
         this.commandManager.init();
     }
 
-    // Used for the model viewer
-    public World(){
-        this.dimension = Dimension.OVERWORLD;
-        this.saveHandler = null;
-        levelData = new LevelData(0, "modelviewer");
-        this.worldType = WorldTypes.DEBUG;
-        chunkProvider = new ChunkProviderViewer(this);
-        seasonManager = SeasonManager.fromConfig(this, this.worldType.getSeasonConfig());
-        updateSkyBrightness();
-
-        this.weatherManager = new WeatherManager(this);
-
-        auroraProvider = new AuroraProvider(this, 0);
-
-        biomeProvider = this.worldType.createBiomeProvider(this);
-    }
+    public World(){}
 
     public <T> T getGameRuleValue(GameRule<T> gameRule)
     {
@@ -1122,26 +1100,31 @@ public class World implements WorldSource {
     
     @Override
     public int getLightmapCoord(int x, int y, int z, int blockLightValue) {
-		int skyLight = getSavedLightValue(LightLayer.Sky, x, y, z);
-		int blockLight = Math.max(getSavedLightValue(LightLayer.Block, x, y, z), blockLightValue);
-		
-		if(getBlockLitInteriorSurface(x, y, z)) {
-			skyLight = Math.max(skyLight, getSavedLightValue(LightLayer.Sky, x, y + 1, z));
-			skyLight = Math.max(skyLight, getSavedLightValue(LightLayer.Sky, x, y - 1, z));
-			skyLight = Math.max(skyLight, getSavedLightValue(LightLayer.Sky, x + 1, y, z));
-			skyLight = Math.max(skyLight, getSavedLightValue(LightLayer.Sky, x - 1, y, z));
-			skyLight = Math.max(skyLight, getSavedLightValue(LightLayer.Sky, x, y, z + 1));
-			skyLight = Math.max(skyLight, getSavedLightValue(LightLayer.Sky, x, y, z - 1));
-			
-			blockLight = Math.max(blockLight, getSavedLightValue(LightLayer.Block, x, y + 1, z));
-			blockLight = Math.max(blockLight, getSavedLightValue(LightLayer.Block, x, y - 1, z));
-			blockLight = Math.max(blockLight, getSavedLightValue(LightLayer.Block, x + 1, y, z));
-			blockLight = Math.max(blockLight, getSavedLightValue(LightLayer.Block, x - 1, y, z));
-			blockLight = Math.max(blockLight, getSavedLightValue(LightLayer.Block, x, y, z + 1));
-			blockLight = Math.max(blockLight, getSavedLightValue(LightLayer.Block, x, y, z - 1));
-		}
-		
-		return LightmapHelper.getLightmapCoord(skyLight, blockLight);
+        int skyLight = getSavedLightValue(LightLayer.Sky, x, y, z);
+        int blockLight = Math.max(getSavedLightValue(LightLayer.Block, x, y, z), blockLightValue);
+
+        if(getBlockLitInteriorSurface(x, y, z)) {
+            skyLight = Math.max(skyLight, getSavedLightValue(LightLayer.Sky, x, y + 1, z));
+            skyLight = Math.max(skyLight, getSavedLightValue(LightLayer.Sky, x, y - 1, z));
+            skyLight = Math.max(skyLight, getSavedLightValue(LightLayer.Sky, x + 1, y, z));
+            skyLight = Math.max(skyLight, getSavedLightValue(LightLayer.Sky, x - 1, y, z));
+            skyLight = Math.max(skyLight, getSavedLightValue(LightLayer.Sky, x, y, z + 1));
+            skyLight = Math.max(skyLight, getSavedLightValue(LightLayer.Sky, x, y, z - 1));
+
+            blockLight = Math.max(blockLight, getSavedLightValue(LightLayer.Block, x, y + 1, z));
+            blockLight = Math.max(blockLight, getSavedLightValue(LightLayer.Block, x, y - 1, z));
+            blockLight = Math.max(blockLight, getSavedLightValue(LightLayer.Block, x + 1, y, z));
+            blockLight = Math.max(blockLight, getSavedLightValue(LightLayer.Block, x - 1, y, z));
+            blockLight = Math.max(blockLight, getSavedLightValue(LightLayer.Block, x, y, z + 1));
+            blockLight = Math.max(blockLight, getSavedLightValue(LightLayer.Block, x, y, z - 1));
+        }
+
+        return getLightmapCoord(skyLight, blockLight);
+    }
+
+    @Override
+    public int getLightmapCoord(int skylight, int blocklight) {
+        return 0; // TODO figure out if/how we would get this working in core
     }
 
     @Override
@@ -1615,63 +1598,6 @@ public class World implements WorldSource {
 		return bright * 0.8f + 0.2f;
 	}
 
-    public Vec3 getSkyColor(ICamera camera, float partialTick)
-    {
-        float f1 = getCelestialAngle(partialTick);
-        float f2 = MathHelper.cos(f1 * MathHelper.PI * 2.0F) * 2.0F + 0.5F;
-        if(f2 < 0.0F)
-        {
-            f2 = 0.0F;
-        }
-        if(f2 > 1.0F)
-        {
-            f2 = 1.0F;
-        }
-        int x = MathHelper.floor(camera.getX(partialTick));
-        int y = MathHelper.floor(camera.getY(partialTick));
-        int z = MathHelper.floor(camera.getZ(partialTick));
-        float blockTemperature = (float) getBlockTemperature(x, z);
-
-        if (seasonManager.getCurrentSeason() != null && (seasonManager.getCurrentSeason() == Seasons.OVERWORLD_WINTER || seasonManager.getCurrentSeason() == Seasons.OVERWORLD_FALL))
-        {
-            blockTemperature = blockTemperature - (1.25f);
-        }
-        int skyColor;
-        if(Colorizers.sky.isEnabled()) {
-        	skyColor = Colorizers.sky.getColor(this, x, y, z);
-        }else {
-        	skyColor = getBiomeProvider().getBiome(x, y, z).getSkyColor(blockTemperature);	
-        }
-        float r = (float)(skyColor >> 16 & 0xff) / 255F;
-        float g = (float)(skyColor >> 8 & 0xff) / 255F;
-        float b = (float)(skyColor & 0xff) / 255F;
-        r *= f2;
-        g *= f2;
-        b *= f2;
-        float f7 = getCurrentWeather() != null && getCurrentWeather().isPrecipitation ? weatherManager.getWeatherIntensity() * weatherManager.getWeatherPower() : 0.0f;
-        if(f7 > 0.0F)
-        {
-            float f8 = (r * 0.3F + g * 0.59F + b * 0.11F) * 0.6F;
-            float f10 = 1.0F - f7 * 0.75F;
-            r = r * f10 + f8 * (1.0F - f10);
-            g = g * f10 + f8 * (1.0F - f10);
-            b = b * f10 + f8 * (1.0F - f10);
-        }
-        if(lightningFlicker > 0)
-        {
-            float f12 = (float)lightningFlicker - partialTick;
-            if(f12 > 1.0F)
-            {
-                f12 = 1.0F;
-            }
-            f12 *= 0.45F;
-            r = r * (1.0F - f12) + 0.8F * f12;
-            g = g * (1.0F - f12) + 0.8F * f12;
-            b = b * (1.0F - f12) + f12;
-        }
-        return Vec3.getTempVec3(r, g, b);
-    }
-
     public float getCelestialAngle(float partialTick)
     {
     	if(!getGameRuleValue(GameRules.DO_DAY_CYCLE)) {
@@ -1680,45 +1606,6 @@ public class World implements WorldSource {
         return worldType.getCelestialAngle(this, levelData.getWorldTime(), partialTick);
     }
 
-    public Vec3 getDimensionColor(ICamera camera, float partialTick)
-    {
-        float f1 = getCelestialAngle(partialTick);
-        float f2 = MathHelper.cos(f1 * MathHelper.PI * 2.0F) * 2.0F + 0.5F;
-        if(f2 < 0.0F)
-        {
-            f2 = 0.0F;
-        }
-        if(f2 > 1.0F)
-        {
-            f2 = 1.0F;
-        }
-        int color = dimensionColor;
-        float r = (float)(color >> 16 & 255) / 255F;
-        float g = (float)(color >> 8 & 255) / 255F;
-        float b = (float)(color & 255) / 255F;
-        float f6 = getCurrentWeather() != null && getCurrentWeather().isPrecipitation ? weatherManager.getWeatherIntensity() * weatherManager.getWeatherPower() : 0.0f;
-        if(f6 > 0.0F)
-        {
-            float f7 = (r * 0.3F + g * 0.59F + b * 0.11F) * 0.6F;
-            float f9 = 1.0F - f6 * 0.95F;
-            r = r * f9 + f7 * (1.0F - f9);
-            g = g * f9 + f7 * (1.0F - f9);
-            b = b * f9 + f7 * (1.0F - f9);
-        }
-        r *= f2 * 0.9F + 0.1F;
-        g *= f2 * 0.9F + 0.1F;
-        b *= f2 * 0.85F + 0.15F;
-        return Vec3.getTempVec3(r, g, b);
-    }
-
-    public Vec3 getFogColor(ICamera camera, float partialTick)
-    {
-    	double x = camera.getX(partialTick);
-    	double y = camera.getY(partialTick);
-    	double z = camera.getZ(partialTick);
-        float celestialAngle = getCelestialAngle(partialTick);
-        return worldType.getFogColor(this, x, y, z, celestialAngle, partialTick);
-    }
 
     public int findTopSolidBlock(int x, int z)
     {
diff --git a/src/main/java/net/minecraft/core/world/WorldSource.java b/src/main/java/net/minecraft/core/world/WorldSource.java
index 533c45d99..7f5d4a380 100644
--- a/src/main/java/net/minecraft/core/world/WorldSource.java
+++ b/src/main/java/net/minecraft/core/world/WorldSource.java
@@ -20,6 +20,8 @@ public interface WorldSource
     
     int getLightmapCoord(int x, int y, int z, int blockLightValue);
 
+    int getLightmapCoord(int skylight, int blocklight);
+
     float getLightBrightness(int x, int y, int z);
 
     int getBlockMetadata(int x, int y, int z);
diff --git a/src/main/java/net/minecraft/core/world/chunk/ChunkCache.java b/src/main/java/net/minecraft/core/world/chunk/ChunkCache.java
index 49a1ea7b2..0b1da4705 100644
--- a/src/main/java/net/minecraft/core/world/chunk/ChunkCache.java
+++ b/src/main/java/net/minecraft/core/world/chunk/ChunkCache.java
@@ -1,16 +1,10 @@
 package net.minecraft.core.world.chunk;
 
-import net.minecraft.client.render.LightmapHelper;
 import net.minecraft.core.block.Block;
 import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.block.material.Material;
 import net.minecraft.core.enums.LightLayer;
 import net.minecraft.core.world.World;
-
-// Referenced classes of package net.minecraft.src:
-//            IBlockAccess, World, Chunk, WorldProvider, 
-//            Block, Material, TileEntity, WorldChunkManager
-
 import net.minecraft.core.world.WorldSource;
 import net.minecraft.core.world.biome.Biome;
 import net.minecraft.core.world.season.SeasonManager;
@@ -131,9 +125,14 @@ public class ChunkCache
 			blockLight = Math.max(blockLight, worldObj.getSavedLightValue(LightLayer.Block, x, y, z - 1));
 		}
 		
-		return LightmapHelper.getLightmapCoord(skyLight, blockLight);
+		return getLightmapCoord(skyLight, blockLight);
 	}
 
+    @Override
+    public int getLightmapCoord(int skylight, int blocklight) {
+        return worldObj.getLightmapCoord(skylight, blocklight);
+    }
+
     @Override
 	public float getLightBrightness(int x, int y, int z)
     {
diff --git a/src/main/java/net/minecraft/core/world/save/SaveFormatBase.java b/src/main/java/net/minecraft/core/world/save/SaveFormatBase.java
index b5039285a..c4d85e1b8 100644
--- a/src/main/java/net/minecraft/core/world/save/SaveFormatBase.java
+++ b/src/main/java/net/minecraft/core/world/save/SaveFormatBase.java
@@ -1,6 +1,7 @@
 package net.minecraft.core.world.save;
 
 import com.mojang.logging.LogUtils;
+import net.minecraft.client.world.save.SaveHandlerClientSP;
 import net.minecraft.core.lang.I18n;
 import net.minecraft.core.util.helper.MathHelper;
 import com.mojang.nbt.CompoundTag;
@@ -217,7 +218,7 @@ public abstract class SaveFormatBase
     @Override
     public LevelStorage getSaveHandler(String worldDirName, boolean isMultiplayer)
     {
-        return new SaveHandlerClientSP(this, savesDir, worldDirName, isMultiplayer);
+        return new SaveHandlerCore(this, savesDir, worldDirName, isMultiplayer);
     }
 
     protected static void deleteFilesRecursively(File[] dirFiles)
diff --git a/src/main/java/net/minecraft/core/world/save/SaveHandlerBase.java b/src/main/java/net/minecraft/core/world/save/SaveHandlerBase.java
index 3f8b1fb82..f9686ecb6 100644
--- a/src/main/java/net/minecraft/core/world/save/SaveHandlerBase.java
+++ b/src/main/java/net/minecraft/core/world/save/SaveHandlerBase.java
@@ -20,12 +20,12 @@ import java.util.List;
 public abstract class SaveHandlerBase implements LevelStorage
 {
 	private static final Logger LOGGER = LogUtils.getLogger();
-	final String worldDirName;
-	final File saveDirectory;
-	final File playersDirectory;
-	final File dataDirectory;
-	final long now = System.currentTimeMillis();
-	final ISaveFormat saveFormat;
+	protected final String worldDirName;
+	protected final File saveDirectory;
+	protected final File playersDirectory;
+	protected final File dataDirectory;
+	protected final long now = System.currentTimeMillis();
+	protected final ISaveFormat saveFormat;
 
 	public SaveHandlerBase(ISaveFormat saveFormat, File savesDir, String worldDirName, boolean isMultiplayer)
 	{
diff --git a/src/main/java/net/minecraft/core/world/save/SaveHandlerCore.java b/src/main/java/net/minecraft/core/world/save/SaveHandlerCore.java
new file mode 100644
index 000000000..6e3300bd7
--- /dev/null
+++ b/src/main/java/net/minecraft/core/world/save/SaveHandlerCore.java
@@ -0,0 +1,35 @@
+package net.minecraft.core.world.save;
+
+import net.minecraft.core.entity.player.Player;
+import net.minecraft.core.world.Dimension;
+import net.minecraft.core.world.chunk.ChunkLoaderRegionAsync;
+import net.minecraft.core.world.chunk.IChunkLoader;
+
+import java.io.File;
+import java.util.List;
+
+public class SaveHandlerCore
+        extends SaveHandlerBase
+{
+
+    public SaveHandlerCore(ISaveFormat saveFormat, File savesDir, String worldDirName, boolean isMultiplayer)
+    {
+        super(saveFormat, savesDir, worldDirName, isMultiplayer);
+    }
+    
+    @Override
+    public IChunkLoader getChunkLoader(Dimension dimension)
+    {
+        File dimDir = saveFormat.getDimensionRootDir(worldDirName, dimension);
+        dimDir.mkdirs();
+
+        return new ChunkLoaderRegionAsync(dimDir);
+    }
+
+    @Override
+    public void saveLevelDataAndPlayerData(LevelData levelData, List<Player> playerList)
+    {
+        levelData.setSaveVersion(saveFormat.getSaveVersion());
+        super.saveLevelDataAndPlayerData(levelData, playerList);
+    }
+}
diff --git a/src/main/java/net/minecraft/core/world/type/WorldType.java b/src/main/java/net/minecraft/core/world/type/WorldType.java
index 332206fdb..34013e664 100644
--- a/src/main/java/net/minecraft/core/world/type/WorldType.java
+++ b/src/main/java/net/minecraft/core/world/type/WorldType.java
@@ -2,7 +2,6 @@ package net.minecraft.core.world.type;
 
 import net.minecraft.core.Global;
 import net.minecraft.core.block.Block;
-import net.minecraft.core.util.phys.Vec3;
 import net.minecraft.core.world.World;
 import net.minecraft.core.world.biome.provider.BiomeProvider;
 import net.minecraft.core.world.config.season.SeasonConfig;
@@ -21,8 +20,6 @@ public abstract class WorldType {
     private final boolean hasCeiling;
     private final float[] brightnessRamp;
     private final SeasonConfig seasonConfig;
-    private final boolean hasClouds;
-    private final boolean hasSky;
     private final int minY;
     private final int minPortalY;
     private final int maxY;
@@ -32,9 +29,6 @@ public abstract class WorldType {
     private final int fillerBlockId;
     private final int dayNightCycleTicks;
     private final boolean mayRespawn;
-    private final float cloudHeight;
-    private final boolean hasGround;
-    private final boolean hasAurora;
 
     public WorldType(Properties properties) {
         this.languageKey = properties.languageKey;
@@ -43,8 +37,6 @@ public abstract class WorldType {
         this.hasCeiling = properties.hasCeiling;
         this.brightnessRamp = properties.brightnessRamp;
         this.seasonConfig = properties.seasonConfig == null ? SeasonConfig.builder().withSingleSeason(Seasons.NULL).build() : properties.seasonConfig;
-        this.hasClouds = properties.hasClouds;
-        this.hasSky = properties.hasSky;
         this.minY = properties.minY;
         if (properties.minPortalY != null) {
             this.minPortalY = properties.minPortalY;
@@ -62,9 +54,6 @@ public abstract class WorldType {
         this.fillerBlockId = properties.fillerBlock == null ? 0 : properties.fillerBlock.id;
         this.dayNightCycleTicks = properties.dayNightCycleTicks;
         this.mayRespawn = properties.mayRespawn;
-        this.cloudHeight = properties.cloudHeight == null ? (properties.maxY + 1) - 20 : properties.cloudHeight;
-        this.hasGround = properties.hasGround;
-        this.hasAurora = properties.hasAurora;
     }
 
     public String getLanguageKey() {
@@ -91,14 +80,6 @@ public abstract class WorldType {
         return seasonConfig;
     }
 
-    public boolean hasClouds() {
-        return hasClouds;
-    }
-
-    public boolean hasSky() {
-        return hasSky;
-    }
-
     public int getMinY() {
         return minY;
     }
@@ -135,18 +116,6 @@ public abstract class WorldType {
         return mayRespawn;
     }
 
-    public float getCloudHeight() {
-        return cloudHeight;
-    }
-
-    public boolean hasGround() {
-        return hasGround;
-    }
-
-    public boolean hasAurora() {
-        return hasAurora;
-    }
-
     public void onWorldCreation(World world) { }
 
     public final int getYRange() {
@@ -258,12 +227,8 @@ public abstract class WorldType {
 
     public abstract float getCelestialAngle(World world, long tick, float partialTick);
 
-    public abstract float[] getSunriseColor(float timeOfDay, float partialTick);
-
     public abstract int getSkyDarken(World world, long tick, float partialTick);
 
-    public abstract Vec3 getFogColor(World world, double x, double y, double z, float celestialAngle, float partialTick);
-
     public static class Properties {
         private final String languageKey;
         private Weather defaultWeather = null;
@@ -271,8 +236,6 @@ public abstract class WorldType {
         private boolean hasCeiling = false;
         private float[] brightnessRamp = null;
         private SeasonConfig seasonConfig = null;
-        private boolean hasClouds = true;
-        private boolean hasSky = true;
         private int minY = 0;
         private Integer minPortalY = null;
         private int maxY = 255;
@@ -282,9 +245,6 @@ public abstract class WorldType {
         private Block fillerBlock = null;
         private int dayNightCycleTicks = Global.DAY_LENGTH_TICKS;
         private boolean mayRespawn = false;
-        private Float cloudHeight = null;
-        private boolean hasGround = true;
-        private boolean hasAurora = false;
 
         private Properties(String languageKey) {
             this.languageKey = languageKey;
@@ -319,16 +279,6 @@ public abstract class WorldType {
             return this;
         }
 
-        public Properties noClouds() {
-            this.hasClouds = false;
-            return this;
-        }
-
-        public Properties noSky() {
-            this.hasSky = false;
-            return this;
-        }
-
         public Properties bounds(int minY, int maxY, int oceanY) {
             if (minY < 0) {
                 throw new IllegalArgumentException("minY cannot be negative");
@@ -384,20 +334,5 @@ public abstract class WorldType {
             this.mayRespawn = true;
             return this;
         }
-
-        public Properties cloudHeight(float cloudHeight) {
-            this.cloudHeight = cloudHeight;
-            return this;
-        }
-
-        public Properties noGround() {
-            this.hasGround = false;
-            return this;
-        }
-
-        public Properties withAurora() {
-            this.hasAurora = true;
-            return this;
-        }
     }
 }
diff --git a/src/main/java/net/minecraft/core/world/type/WorldTypeDebug.java b/src/main/java/net/minecraft/core/world/type/WorldTypeDebug.java
index 8fd2f3edb..5d4ba3099 100644
--- a/src/main/java/net/minecraft/core/world/type/WorldTypeDebug.java
+++ b/src/main/java/net/minecraft/core/world/type/WorldTypeDebug.java
@@ -51,18 +51,8 @@ public class WorldTypeDebug
         return 0;
     }
 
-    @Override
-    public float[] getSunriseColor(float timeOfDay, float partialTick) {
-        return new float[4];
-    }
-
     @Override
     public int getSkyDarken(World world, long tick, float partialTick) {
         return 0;
     }
-
-    @Override
-    public Vec3 getFogColor(World world, double x, double y, double z, float celestialAngle, float partialTick) {
-        return Vec3.getTempVec3(1.0, 1.0, 1.0);
-    }
 }
diff --git a/src/main/java/net/minecraft/core/world/type/WorldTypeEmpty.java b/src/main/java/net/minecraft/core/world/type/WorldTypeEmpty.java
index b18d77fc4..1506c5a9b 100644
--- a/src/main/java/net/minecraft/core/world/type/WorldTypeEmpty.java
+++ b/src/main/java/net/minecraft/core/world/type/WorldTypeEmpty.java
@@ -56,26 +56,6 @@ public class WorldTypeEmpty
         return getTimeOfDay(world, tick, partialTick);
     }
 
-    @Override
-    public float[] getSunriseColor(float timeOfDay, float partialTick) {
-        float[] sunriseCol = new float[4];
-        float f2 = 0.4F;
-        float f3 = MathHelper.cos(timeOfDay * MathHelper.PI * 2.0F) - 0.0F;
-        float f4 = -0F;
-        if (f3 >= f4 - f2 && f3 <= f4 + f2) {
-            float c = ((f3 - f4) / f2) * 0.5F + 0.5F;
-            float a = 1.0F - (1.0F - MathHelper.sin(c * MathHelper.PI)) * 0.99F;
-            a *= a;
-            sunriseCol[0] = c * 0.3F + 0.7F;
-            sunriseCol[1] = c * c * 0.7F + 0.2F;
-            sunriseCol[2] = c * c * 0.0F + 0.2F;
-            sunriseCol[3] = a;
-            return sunriseCol;
-        } else {
-            return null;
-        }
-    }
-
     @Override
     public int getSkyDarken(World world, long tick, float partialTick) {
         float f1 = getCelestialAngle(world, tick, partialTick);
@@ -92,22 +72,4 @@ public class WorldTypeEmpty
             weatherOffset = currentWeather.subtractLightLevel * world.weatherManager.getWeatherIntensity() * world.weatherManager.getWeatherPower();
         return (int) (f2 * (11F - weatherOffset) + weatherOffset);
     }
-
-    @Override
-    public Vec3 getFogColor(World world, double x, double y, double z, float celestialAngle, float partialTick) {
-        float f2 = MathHelper.cos(celestialAngle * MathHelper.PI * 2.0F) * 2.0F + 0.5F;
-        if (f2 < 0.0F) {
-            f2 = 0.0F;
-        }
-        if (f2 > 1.0F) {
-            f2 = 1.0F;
-        }
-        float r = 0.7529412F;
-        float g = 0.8470588F;
-        float b = 1.0F;
-        r *= f2 * 0.94F + 0.06F;
-        g *= f2 * 0.94F + 0.06F;
-        b *= f2 * 0.91F + 0.09F;
-        return Vec3.getTempVec3(r, g, b);
-    }
 }
diff --git a/src/main/java/net/minecraft/core/world/type/WorldTypes.java b/src/main/java/net/minecraft/core/world/type/WorldTypes.java
index 9e70a39a6..1dadb8f1b 100644
--- a/src/main/java/net/minecraft/core/world/type/WorldTypes.java
+++ b/src/main/java/net/minecraft/core/world/type/WorldTypes.java
@@ -52,7 +52,6 @@ public abstract class WorldTypes {
                             .fillerBlock(Blocks.STONE)
                             .allowRespawn()
                             .bounds(0, 31, 0)
-                            .cloudHeight(256f - 20f)
                             .seasonConfig(SeasonConfig.builder()
                                     .withSingleSeason(Seasons.OVERWORLD_SUMMER)
                                     .build()
@@ -65,7 +64,6 @@ public abstract class WorldTypes {
                     WorldTypeOverworld.defaultProperties("worldType.overworld.floating")
                             .bounds(0, 255, 0)
                             .oceanBlock(null)
-                            .cloudHeight(32f)
             )
     );
     public static final WorldType OVERWORLD_AMPLIFIED = register(
@@ -73,7 +71,6 @@ public abstract class WorldTypes {
             new WorldTypeOverworld(
                     WorldTypeOverworld.defaultProperties("worldType.overworld.amplified")
                             .bounds(0, 255, 64)
-                            .cloudHeight(128f - 20f)
             )
     );
     public static final WorldType OVERWORLD_RETRO = register(
@@ -174,8 +171,6 @@ public abstract class WorldTypes {
                             .brightnessRamp(WorldTypeEmpty.createLightRamp())
                             .bounds(0, 255, 0)
                             .allowRespawn()
-                            .cloudHeight(128f - 20f)
-                            .noGround()
             )
     );
     public static final WorldType DEBUG = register(
@@ -185,8 +180,6 @@ public abstract class WorldTypes {
                             .brightnessRamp(WorldTypeDebug.createLightRamp())
                             .bounds(0, 255, 0)
                             .allowRespawn()
-                            .cloudHeight(128f - 20f)
-                            .noGround()
             )
     );
 
